/*
  Copied from the ldct.c file; used to test the JGOFS API.
*/

#include "jgofs.h"

char names[20][TOKEN];
char values[20][TOKEN];
int maxlev;

main(argc,argv)
int argc;
char *argv[];
{
char objname[256];
int i,j,clev;
int unit=1;
int nn;
int namesize=TOKEN;
int valuesize=TOKEN;

nn= -20;

strcpy(names[0],"lon");
strcpy(names[1],"lat");
strcpy(names[2],"press");
strcpy(names[3],"o2");
nn=4;

strcpy(objname,argv[1]);
maxlev=ljdbopen_(&unit,objname,names,&namesize,values,&valuesize,&nn);
if(maxlev<0){printf("Bad object %s\n",argv[1]);exit(1);}


while(ljdbcomments_(&unit,objname))printf("#%s\n",objname);


for(i=0;i<nn;i++)printf("%-20.20s",names[i]);
printf("\n");

for(i=0;i<nn;i++)
  while(ljdbattributes_(&unit,&i,objname))printf("%s . %s \n",names[i],objname);
for(i=0;i<nn;i++)printf("%-20d",levels[i]);
printf("\n");
for(i=0;i<nn;i++)printf("%-20d",sizes[i]);
printf("\n");


while((clev=ljdbreada_(&unit,values,&valuesize)) >= 0){
  if(clev<maxlev) while(ljdbcomments_(&unit,objname))printf("#%s\n",objname);
  for(i=0;i<nn;i++)printf("%-20.20s",values[i]);
  printf("\n");
  }
ljdbclose_(&unit);
}

